- Qt 5.5
- Qt3D Module
- C++ Classes
- Quick3DVector3DValueType
- Qt 5.5.1 Reference Documentation

# Quick3DVector3DValueType Class

(Qt3D::Quick::Quick3DVector3DValueType)

- List of all members, including inherited members

## Properties

- x : qreal
- y : qreal
- z : qreal

## Public Functions

QVector3D | crossProduct(const QVector3D & vec) const
qreal | dotProduct(const QVector3D & vec) const
bool | fuzzyEquals(const QVector3D & vec, qreal epsilon) const
bool | fuzzyEquals(const QVector3D & vec) const
qreal | length() const
QVector3D | minus(const QVector3D & vec) const
QVector3D | normalized() const
QVector3D | plus(const QVector3D & vec) const
void | setX(qreal)
void | setY(qreal)
void | setZ(qreal)
QVector3D | times(const QMatrix4x4 & m) const
QVector3D | times(const QVector3D & vec) const
QVector3D | times(qreal scalar) const
QString | toString() const
QVector2D | toVector2d() const
QVector4D | toVector4d() const
qreal | x() const
qreal | y() const
qreal | z() const

## Property Documentation

### x : qreal

Access functions:

qreal | x() const
void | setX(qreal)

### y : qreal

Access functions:

qreal | y() const
void | setY(qreal)

### z : qreal

Access functions:

qreal | z() const
void | setZ(qreal)

## Member Function Documentation

### QVector3D Quick3DVector3DValueType::crossProduct(const QVector3D & vec) const

### qreal Quick3DVector3DValueType::dotProduct(const QVector3D & vec) const

### bool Quick3DVector3DValueType::fuzzyEquals(const QVector3D & vec, qreal epsilon) const

### bool Quick3DVector3DValueType::fuzzyEquals(const QVector3D & vec) const

### qreal Quick3DVector3DValueType::length() const

### QVector3D Quick3DVector3DValueType::minus(const QVector3D & vec) const

### QVector3D Quick3DVector3DValueType::normalized() const

### QVector3D Quick3DVector3DValueType::plus(const QVector3D & vec) const

### QVector3D Quick3DVector3DValueType::times(const QMatrix4x4 & m) const

### QVector3D Quick3DVector3DValueType::times(const QVector3D & vec) const

### QVector3D Quick3DVector3DValueType::times(qreal scalar) const

### QString Quick3DVector3DValueType::toString() const

### QVector2D Quick3DVector3DValueType::toVector2d() const

### QVector4D Quick3DVector3DValueType::toVector4d() const